Skip to main content
GET
/
api
/
v1
/
inference-jobs
/
{job_id}
Get Inference Job
curl --request GET \
  --url https://api.example.com/api/v1/inference-jobs/{job_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "config": {},
  "status": "<string>",
  "total_files": 123,
  "processed_files": 123,
  "failed_files": 123,
  "total_detections": 123,
  "error_message": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "files": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "inference_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "original_filename": "<string>",
      "s3_key": "<string>",
      "duration_ms": 123,
      "status": "<string>",
      "error_message": "<string>",
      "detections": [
        {
          "artifact_type": "<string>",
          "start_ms": 123,
          "end_ms": 123,
          "confidence": 0.5
        }
      ],
      "detection_count": 123,
      "processed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

job_id
string<uuid>
required

Response

Successful Response

Inference job detail with files.

id
string<uuid>
required
tenant_id
string<uuid>
required
model_id
string<uuid>
required
config
Config · object
required
status
string
required
total_files
integer
required
processed_files
integer
required
failed_files
integer
required
total_detections
integer
required
error_message
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
files
InferenceFileResponse · object[]
required